from setuptools import setup, find_packages

version = '0.0.1'

longdesc = """\
PyCW
#######

Generate Morse Code (CW) audio files in Python.

Repository and documentation: https://github.com/bigsk05/pycw
"""


setup(
    name='pycw',
    version=version,
    packages=find_packages(),
    url='https://github.com/bigsk05/pycw',
    license='Apache Software License',
    author='Ian Xia',
    author_email='i@ianxia.com',
    description='Generate Morse Code (CW) audio files in Python',
    long_description=longdesc,
    install_requires=[
        'numpy',
    ],
    classifiers=[
        'License :: OSI Approved :: Apache Software License',
        # 'Programming Language :: Python :: 3',
        # 'Programming Language :: Python :: 3.0',
        # 'Programming Language :: Python :: 3.1',
        # 'Programming Language :: Python :: 3.2',
        # 'Programming Language :: Python :: 3.3',
        # 'Programming Language :: Python :: 3.4',
        # 'Programming Language :: Python :: 3.5',
        # 'Programming Language :: Python :: 3.6',
        # 'Programming Language :: Python :: 3.7',
        # 'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        # 'Programming Language :: Python :: 3 :: Only',
    ],
    entry_points={
        'console_scripts': ['pycw=pycw:main'],
    },
    package_data={'': ['README.md']},
    include_package_data=True,
    zip_safe=False)